YUI AS Component Documentation |
Interface ICategorySeries

Package | com.yahoo.astra.fl.charts.series
Interface | public interface ICategorySeries extends ISeries, flash.events.IEventDispatcher
Implementors | PieSeries

Defines functions and properties for an ISeries that relies on categories.

See also

com.yahoo.astra.fl.charts.legend.ILegend
com.yahoo.astra.fl.charts.legend.LegendItemData

Public Properties
Hide Inherited Public Properties
Show Inherited Public Properties

| Property | Defined by
--- | --- | ---
|  | categoryField : String The field used to access categories for this series. | ICategorySeries
|  | categoryNames : Array The names of the categories displayed on the category axis. | ICategorySeries
|  | chart : Object The chart in which this series appears. | ISeries
|  | dataProvider : Object The data provider for this series. | ISeries
|  | dataTipFunction : Function DataTip Function for series | ISeries
|  | displayName : String The name of the series as it appears to the user. | ISeries
|  | legendLabelFunction : Function If defined, the chart will call the input function to determine the text displayed in in the chart's legend. | ISeries
|  | length : int The number of items in the series. | ISeries

Public Methods
Hide Inherited Public Methods
Show Inherited Public Methods

| Method | Defined by
--- | --- | ---
|  | clone():ISeries Creates a copy of the ISeries object. | ISeries
|  | createLegendItemData():Array Creates an Array of LegendItemData objects to pass to the chart's legend. | ICategorySeries
|  | itemRendererToIndex(renderer:ISeriesItemRenderer):int Returns the index of an item renderer. | ISeries
|  | itemToCategory(item:Object, index:int):String Determines the category to which the item belongs. | ICategorySeries
|  | itemToItemRenderer(item:Object):ISeriesItemRenderer Converts an item to its corresponding item renderer. | ISeries

Events
Hide Inherited Events
Show Inherited Events

| Event | Summary | Defined by
--- | --- | --- | ---
|  | dataChange | Dispatched when the data property for an ISeries changes. | ISeries

Property detail

categoryField | property

`categoryField:String` [read-write]

The field used to access categories for this series.

Implementation
`public function get categoryField():String`
`public function set categoryField(value:String):void`

categoryNames | property |

`categoryNames:Array` [read-write]

The names of the categories displayed on the category axis. If the chart does not have a category axis, this value will be ignored.

Implementation
`public function get categoryNames():Array`
`public function set categoryNames(value:Array):void`
Method detail

createLegendItemData | () | method

`public function createLegendItemData():Array`

Creates an Array of LegendItemData objects to pass to the chart's legend.

Returns

| `Array`

itemToCategory | () | method |

`public function itemToCategory(item:Object, index:int):String`

Determines the category to which the item belongs.

Parameters

| `item:Object`
| `index:int`

Returns

| `String`